Job File
Use the Job File resource to get the detailed information about a file using the job ID. You can also use it to delete a file.
Syntax
- Resource
-
1/datamanager/datatools/apiVersion/jobs/jobId/files/documentId - Availability
- v1.0
- Formats
- REST
- HTTP methods
-
GET
Returns information about a file associated with a data job by file ID.
DELETE
Deletes a file associated with a data job by file ID.
- Authentication
-
OAuth
- Request parameters
-
Parameter Description baseURI baseURI for the API gateway. Different regions have different values. Call the Data Job API lists the values.
For example: na.api-salesforce.com/datamanager/
apiVersion Version of the DJ API to use. The current version is v1.0.
For example: v1.0
jobId Job ID for the job. The job ID is unique per Customer 360 Data Manager environment. This ID identifies the job if you want to get information about status or files associated with the job.
For example: core%2fstmfpba44ice1%2f00DRM000000D1or2BC
documentId Enter the Document ID returned by the Files resource. - Request headers
-
- x-sfdc-domain
- Specifies the instance_url returned in the authentication token.
- accept
- Specifies the type. For this resource, application/json is required.
- authorization
- Specifies the authorization token.
- Request and Response Bodies
- Consult the appropriate version of the Data Jobs RAML Spec.
Examples
- GET Request
- Gets the contents of a file with document ID 069RM00000062W5YAI for job 5a2a8a6d-970a-3706-b57a-d4e8f598f87e.
-
1curl -vL -X GET \ 2 https://na.api-salesforce.com/datamanager/datatools/v1.0/jobs/5a2a8a6d-970a-3706-b57a-d4e8f598f87e/files/069RM00000062W5YAI \ 3 -H 'accept: text/plain' \ 4 -H 'authorization: Bearer 00DRM000000IeI2!AR4AQC1OYYUuPpKu_8ciEb1pIG4v.Dk_F8og22qkSC4.9nu71ZVtShocTlojXK.fFApWCR_cyklulapwgT85bbHt7IR5jNUq' \ 5 -H 'x-sfdc-domain: shdworg.salesforce.com' - GET Response
-
1id,first_name,middle_name,last_name,personal_email,work_email,mobile_phone,home_phone,party_id, 2 billing_address_line_1,billing_city,billing_postalcode,billing_state,billing_country,create_ts,update_ts 3100GG00091a8BvG.1,Thomas,,Bahama,profile_001_01@gmail.com,,,,1001:2002,,,,,,2015-03-22T07:08:22.100Z,2019-09-22T20:41:20.100Z - DELETE Request
- Deletes a file with document ID 069RM00000062W5YAI for job 5a2a8a6d-970a-3706-b57a-d4e8f598f87e.
-
1curl -vL -X DELETE \ 2 https://na.api-salesforce.com/datamanager/datatools/v1.0/jobs/5a2a8a6d-970a-3706-b57a-d4e8f598f87e/files/069RM00000062W5YAI \ 3 -H 'accept: text/plain' \ 4 -H 'authorization: Bearer 00DRM000000IeI2!AR4AQC1OYYUuPpKu_8ciEb1pIG4v.Dk_F8og22qkSC4.9nu71ZVtShocTlojXK.fFApWCR_cyklulapwgT85bbHt7IR5jNUq' \ 5 -H 'x-sfdc-domain: shdworg.salesforce.com' - DELETE Response
- The file is deleted. Returns the file ID of the file that is
deleted.
1["069111111111111YAI"]